<?php
require 'inc/header.php';
?>
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header card-header-primary">
                <h4 class="card-title ">Country block list</h4>
            </div>
            <div class="card-body">
                <form action="/CMD_PLUGINS_ADMIN/ddos-deflate-interface/index.raw?act=country-block" method="POST">
                    <div class="row">
                        <div class="col-lg-5 d-flex flex-column justify-content-center align-items-center">
                            <label>Countries</label>
                            <select name="countries[]" id="multiselect" class="form-control" size="8" multiple="multiple" style="min-width:20%;">
                                <?php
$cnames = countrylist();
foreach ($cnames as $key => $value) {
    ?>
                                    <option value="<?=$key?>">
                                        <?=$value?></option>
                                <?php }?>
                            </select>
                        </div>

                        <div class="col-lg-2 d-flex flex-column justify-content-center align-items-center btn-shift-container">
                            <button type="button" id="multiselect_rightAll" class="btn btn-custom btn-shift">&gt;&gt;</button>
                            <button type="button" id="multiselect_rightSelected" class="btn btn-custom btn-shift">&gt;</button>
                            <button type="button" id="multiselect_leftSelected" class="btn btn-custom btn-shift">&lt;</button>
                            <button type="button" id="multiselect_leftAll" class="btn btn-custom btn-shift">&lt;&lt;</button>
                            <input type="submit" value="Submit" class="btn btn-custom btn-shift" />
                        </div>
                        <div class="col-lg-5 d-flex flex-column justify-content-center align-items-center">
                            <label>Block list</label>
                            <select name="blocked[]" id="multiselect_to" class="form-control" size="8" multiple="multiple" readonly style="min-width:20%;">
                                <?php
$block_list = countryBlockList();
foreach ($cnames as $key => $value) {
    if (in_array($key, $block_list)) {
        ?>
                                        <option value="<?=$key?>">
                                            <?=$value?></option>
                                <?php }
}?>
                            </select>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    jQuery('#multiselect').multiselect({
        search: {
            left: '<input type="text" name="q" class="form-control" placeholder="Search..." />',
            right: '<input type="text" name="q" class="form-control" placeholder="Search..." />',
        }
    });

    function GetURLParameter(sParam) {
        var sPageURL = window.location.search.substring(1);
        var sURLVariables = sPageURL.split('&');
        for (var i = 0; i < sURLVariables.length; i++) {
            var sParameterName = sURLVariables[i].split('=');
            if (sParameterName[0] == sParam) {
                return decodeURI(sParameterName[1]);
            }
        }
    }

    $(document).ready(function() {
        if (window.location.hash == '#add-ip-success') {
            var msg = GetURLParameter('msg');
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-success .toast-body').html(msg)
            $('.toast-success').toast('show');
        }
    });
</script>
<?php
require 'inc/footer.php';
?>