<?php
require 'inc/header.php';
?>
<form id="settings-form" action="/CMD_PLUGINS_ADMIN/ddos-deflate-interface/index.raw?act=settings-save" method="POST">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header card-header-primary">
                    <h4 class="card-title ">Settings</h4>
                </div>
                <div class="card-body">
                    <div class="row justify-content-end">

                    </div>
                    <?php
$arr = defaultSettings();
$defaults = $arr['defaults'];
?>
                    <div class="row">
                        <div class="col-10 mx-auto">
                            <form>
                                <div class="row">
                                    <div class="col-6">
                                        <div class="form-check chk-container">
                                            <label class="form-check-label" for="status">
                                                Extension Status:
                                            </label>
                                            <input class="form-check-input" data-toggle="toggle" data-onstyle="custom" data-size="sm" type="checkbox" name="status" id="status" <?php if ($defaults[8] === 'enabled') {
    echo "checked ";
}?>>
                                            <input type="hidden" id="plugin_status" name="plugin_status" <?php if ($defaults[8] === 'enabled') {
    echo "value='enabled'";
} else {
    echo "value='disabled'";
}?>>
                                        </div>
                                    </div>

                                    <div class="col-sm-6">
                                        <div class="btn-group float-end" role="group" aria-label="Basic radio toggle button group">
                                            <input type="radio" class="btn-check" name="btnradio" id="normal-mode" autocomplete="off">
                                            <label class="btn btn-outline-custom" for="normal-mode">Normal Mode</label>

                                            <input type="radio" class="btn-check" name="btnradio" id="attack-mode" autocomplete="off">
                                            <label class="btn btn-outline-custom" for="attack-mode">Attack Mode</label>

                                            <input type="radio" class="btn-check" name="btnradio" id="custom-mode" autocomplete="off">
                                            <label class="btn btn-outline-custom" for="custom-mode">Custom Mode</label>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-6">
                                        <div class="form-check chk-container">
                                            <label class="form-check-label" for="temp-ips">
                                                Ban Status:
                                            </label>
                                            <input class="form-check-input" data-toggle="toggle" data-onstyle="custom" data-size="sm" type="checkbox" id="temp-ips" name="block" <?php if ($defaults[3] === '1') {
    echo "checked ";
}?>>
                                            <input type="hidden" name="block_ip" id="block_ip" <?php if ($defaults[3] === '1') {
    echo "value='1'";
} else {
    echo 'value="0"';
}?>>

                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        
                                    </div>
                                </div>

                                <div class="col-12">
                                    <label for="firewall" class="form-label">Firewall</label>
                                    <select id="firewall" class="form-control" name="firewall">
                                        <?php
$firewall_list = $arr['firewall_list'];
foreach ($firewall_list as $key => $firewall) {
    if ($firewall === "") {
    } else {
        ?>

                                                <option <?php if ($defaults[2] == $key) {
            echo " selected";
        }?> value="<?php
if ($firewall === "IPTABLES") {
            echo "0";
        } elseif ($firewall === "APF") {
            echo "1";
        } elseif ($firewall === "CSF") {
            echo "2";
        } elseif ($firewall === "FIREWALLD") {
            echo "3";
        } else {
            echo "99";
        }

        ?>"><?php echo $firewall ?></option>



                                        <?php
}
}

?>
                                    </select>
                                </div>

                                <div class="col-12">
                                    <label for="frequency" class="form-label">Execution Frequency (In Minute)</label>
                                    <input min="1" max="60" type="number" placeholder="1" class="form-control" name="frequency" id="frequency" <?php if (!empty($defaults[0])) {
    echo "value=" . $defaults[0];
}?> />
                                </div>

                                <div class="col-12">
                                    <label for="limit" class="form-label">Connection Limit</label>
                                    <input type="number" placeholder="150" class="form-control" name="no_of_connection" id="limit" <?php if (!empty($defaults[1])) {
    echo "value=" . $defaults[1];
}?> />
                                </div>

                                <div class="col-12">
                                    <label for="time" class="form-label">IP Ban Time (In Seconds)</label>
                                    <input type="number" min="1" placeholder="600" class="form-control" name="time_to_block" id="time" <?php if (!empty($defaults[5])) {
    echo "value=" . $defaults[5];
}?> />
                                </div>

                                <div class="col-12">
                                    <label for="size" class="form-label">History page size</label>
                                    <input type="number" min="1" placeholder="100" class="form-control" name="history_size" id="size" <?php if (!empty($defaults[6])) {
    echo "value=" . $defaults[6];
} else {
    echo "value=100";
}?> />
                                </div>

                                <div class="col-12">
                                    <label for="email" class="form-label">Notification Email</label>
                                    <input type="email" placeholder="Leave blank to disable" class="form-control" name="email_id" id="email" <?php if (!empty($defaults[4])) {
    echo "value=" . $defaults[4];
}?> />
                                </div>

                                <div class="col-12">
                                    <input type="hidden" name="normal-mode" id="input-normal" value="0" />
                                    <input type="hidden" name="attack-mode" id="input-attack" value="0" />
                                    <input type="hidden" name="enable-cloudflare" id="input-cloudflare" value="" />
                                    <input type="hidden" name="default-cloudflare" id="default-cloudflare" value="<?php echo $defaults[7] ?>" />
                                    <input type="submit" class="btn btn-custom" value="Save Settings" />
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

<script type="text/javascript">
    function GetURLParameter(sParam) {
        var sPageURL = window.location.search.substring(1);
        var sURLVariables = sPageURL.split('&');
        for (var i = 0; i < sURLVariables.length; i++) {
            var sParameterName = sURLVariables[i].split('=');
            if (sParameterName[0] == sParam) {
                return decodeURI(sParameterName[1]);
            }
        }
    }

    $(document).ready(function() {
        $('#status').change(function() {
            if ($(this).prop('checked')) {
                $('#plugin_status').val('enabled');
            } else {
                $('#plugin_status').val('disabled');
            }
        });

        $('#temp-ips').change(function() {
            if ($(this).prop('checked')) {
                $('#block_ip').val(1);
            } else {
                $('#block_ip').val(0);
            }
        });

        if (window.location.hash == '#save-success') {
            var msg = GetURLParameter('msg');
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-success .toast-body').html(msg)
            $('.toast-success').toast('show');
        } else if (window.location.hash == '#save-error') {
            var msg = GetURLParameter('msg');
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-danger .toast-body').html(msg)
            $('.toast-danger').toast('show');

        }

        $('body').on('change', '#normal-mode', function(e) {
            $('#frequency').val(5);
            $('#limit').val(100);
            $('#time').val(120);
            $('#input-normal').val(1);
            $('#input-attack').val(0);
            $('#settings-form').submit();
        })

        $('body').on('change', '#attack-mode', function(e) {
            $('#frequency').val(1);
            $('#limit').val(30);
            $('#time').val(600);
            $('#input-attack').val(1);
            $('#input-normal').val(0);
            $('#settings-form').submit();
        })

        $('body').on('change', '#custom-mode', function(e) {
            $('#frequency').val('');
            $('#limit').val('');
            $('#time').val('');
            $('#input-attack').val(0);
            $('#input-normal').val(0);
        })

        if ($('#frequency').val() == 5 && $('#limit').val() == 100 && $('#time').val() == 120) {
            $('#normal-mode').prop("checked", true);
            $('#input-normal').val(1);
            $('#input-attack').val(0);
        } else if ($('#frequency').val() == 1 && $('#limit').val() == 30 && $('#time').val() == 600) {
            $('#attack-mode').prop("checked", true);
            $('#input-attack').val(1);
            $('#input-normal').val(0);
        } else {
            $('#custom-mode').prop("checked", true);
            $('#input-normal').val(0);
            $('#input-attack').val(0);
        }

        $('body').on('input', '#frequency', function(e) {
            if ($(this).val() == 5 && $('#limit').val() == 100 && $('#time').val() == 120) {
                $('#normal-mode').prop("checked", true);
                $('#input-normal').val(1);
                $('#input-attack').val(0);
            } else if ($(this).val() == 1 && $('#limit').val() == 30 && $('#time').val() == 600) {
                $('#attack-mode').prop("checked", true);
                $('#input-attack').val(1);
                $('#input-normal').val(0);
            } else {
                $('#custom-mode').prop("checked", true);
                $('#input-normal').val(0);
                $('#input-attack').val(0);
            }
        })

        $('body').on('input', '#limit', function(e) {
            if ($('#frequency').val() == 5 && $(this).val() == 100 && $('#time').val() == 120) {
                $('#normal-mode').prop("checked", true);
                $('#input-normal').val(1);
                $('#input-attack').val(0);
            } else if ($('#frequency').val() == 1 && $(this).val() == 30 && $('#time').val() == 600) {
                $('#attack-mode').prop("checked", true);
                $('#input-attack').val(1);
                $('#input-normal').val(0);
            } else {
                $('#custom-mode').prop("checked", true);
                $('#input-normal').val(0);
                $('#input-attack').val(0);
            }
        })

        $('body').on('input', '#time', function(e) {
            if ($('#frequency').val() == 5 && $('#limit').val() == 100 && $(this).val() == 120) {
                $('#normal-mode').prop("checked", true);
                $('#input-normal').val(1);
                $('#input-attack').val(0);
            } else if ($('#frequency').val() == 1 && $('#limit').val() == 30 && $(this).val() == 600) {
                $('#attack-mode').prop("checked", true);
                $('#input-attack').val(1);
                $('#input-normal').val(0);
            } else {
                $('#custom-mode').prop("checked", true);
                $('#input-normal').val(0);
                $('#input-attack').val(0);
            }
        })

        $('body').on('change', '#enable-cloudflare', function(e) {
            if ($(this).prop("checked") == true) {
                $('#input-cloudflare').val(1);
            } else {
                $('#input-cloudflare').val(0);
            }
            $('#settings-form').submit();
        })

        $("body").tooltip({
            selector: '[data-bs-toggle="tooltip"]'
        });
    });
</script>
<?php
require 'inc/footer.php';
?>