<?php
require 'inc/header.php';
?>
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header card-header-primary">
                <h4 class="card-title ">Temporarily Banned IPs</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="table-responsive">
                            <table class="table table-striped" id="temp-ban-table">
                                <thead class="text-th text-center">
                                    <tr>
                                        <th scope="col">S/N</th>
                                        <th scope="col">IP</th>
                                        <th scope="col">Country</th>
                                        <th scope="col">Actions</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    <?php
$table = getBannedListRandom();
for ($i = 0; $i < sizeof($table); $i++) {
    $k = $i;
    ?>
                                        <tr>
                                            <td> <?php echo ++$k; ?> </td>
                                            <td> <?php echo $table[$i]['ip']; ?> </td>
                                            <td> <?php
if ($table[$i]['flag'] == 'PrivateIP') {
        echo "<b>Private IP</b>";
    } else if ($table[$i]['flag'] == 'unknown') {
        echo "<img src='images/" . strtolower($table[$i]['flag']) . ".png' alt='" . $table[$i]['country-name'] . "' title='" . $table[$i]['country-name'] . "' style='width:48px;height:32px;'>";
    } else {
        echo "<img src='https://assets.ipstack.com/flags/" . strtolower($table[$i]['flag']) . ".svg' alt='" . $table[$i]['country-name'] . "' title='" . $table[$i]['country-name'] . "' style='width:48px;height:32px;'>";
    }?>
                                            </td>

                                            <td>

                                                <a class="btn btn-custom btn-sm" href="/CMD_PLUGINS_ADMIN/ddos-deflate-interface/index.raw?act=ban-perm-delete&ip=<?php echo $table[$i]['ip']; ?>">Remove</a>

                                                <a class="btn btn-custom btn-sm" href="/CMD_PLUGINS_ADMIN/ddos-deflate-interface/index.raw?act=ban-perm-db&ip=<?php echo $table[$i]['ip']; ?>">Ban
                                                    Permanently</a>

                                            </td>
                                        </tr>
                                    <?php }?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {

        $('#temp-ban-table').DataTable({
            language: {
                search: "",
                searchPlaceholder: "Search"
            },
        });

        if (window.location.hash == '#ban-perm-delete-success') {
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-success .toast-body').html('IP has been removed!')
            $('.toast-success').toast('show');
        } else if (window.location.hash == '#ban-perm-delete-failed') {
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-danger .toast-body').html('IP is invalid!')
            $('.toast-danger').toast('show');
        }

        if (window.location.hash == '#ban-perm-db-success') {
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-success .toast-body').html('IP has been banned permanently!')
            $('.toast-success').toast('show');
        } else if (window.location.hash == '#ban-perm-db-success') {
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-danger .toast-body').html('IP is invalid!')
            $('.toast-danger').toast('show');
        }
    });
</script>
<?php
require 'inc/footer.php';
?>