<?php
require 'inc/header.php';
?>
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header card-header-primary">
                <h4 class="card-title ">IP Ban History</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="table-responsive">
                            <table class="table table-striped" id="perm-ban-table">
                                <thead class="text-th text-center">
                                    <tr>
                                        <th scope="col">S/N</th>
                                        <th scope="col">IP</th>
                                        <th scope="col">Country</th>
                                        <th scope="col">Denied Count</th>
                                        <th scope="col">Total Connection</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Actions</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    <?php
$table = ipBanHistory();
for ($i = 0; $i < sizeof($table); $i++) {
    $k = $i;
    ?>
                                        <tr>
                                            <td><?php echo ++$k; ?></td>
                                            <td><?php echo $table[$i]['ip']; ?></td>
                                            <td><?php
if ($table[$i]['flag'] == 'PrivateIP') {
        echo "<b>Private IP<b>";
    } else if ($table[$i]['flag'] == 'unknown') {
        echo "<img src='images/" . strtolower($table[$i]['flag']) . ".png' alt='" . $table[$i]['country-name'] . "' title='" . $table[$i]['country-name'] . "'>";
    } else {
        echo "<img src='https://assets.ipstack.com/flags/" . strtolower($table[$i]['flag']) . ".svg' alt='" . $table[$i]['country-name'] . "' title='" . $table[$i]['country-name'] . "' style='width:48px;height:32px;'>";
    }
    ?></td>
                                            <td><?php echo $table[$i]['total-count']; ?></td>
                                            <td><?php echo $table[$i]['connection-count']; ?></td>
                                            <td><?php echo $table[$i]['datestamp']; ?></td>
                                            <td><?php echo $table[$i]['button']; ?></td>
                                        </tr>
                                    <?php }?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function() {

        $('#perm-ban-table').DataTable({
            language: {
                search: "",
                searchPlaceholder: "Search"
            },
        });

        if (window.location.hash == '#unban-success') {
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-success .toast-body').html('IP has been unbanned!')
            $('.toast-success').toast('show');
        } else if (window.location.hash == '#unban-failed') {
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-danger .toast-body').html('IP is invalid!')
            $('.toast-danger').toast('show');
        }

        if (window.location.hash == '#ban-perm-success') {
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-success .toast-body').html('IP has been banned permanently!')
            $('.toast-success').toast('show');
        } else if (window.location.hash == '#ban-perm-failed') {
            history.pushState("", document.title, window.location.pathname +
                window.location.search);
            $('.toast-danger .toast-body').html('IP is invalid!')
            $('.toast-danger').toast('show');
        }
    });
</script>
<?php
require 'inc/footer.php';
?>